RSASS< STANDARD, H > Struct Template Reference

RSA signature scheme with appendix More...

`#include <rsa.h>`

Inheritance diagram for RSASS< STANDARD, H >:

## Public Types

typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions < ALG_INFO, RSA, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate < TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate < TF_VerifierImpl < SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef RSAFunction | PublicKey
typedef InvertibleRSAFunction | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD, class H>
struct RSASS< STANDARD, H >

RSA signature scheme with appendix

See documentation of PKCS1v15 for a list of hash functions that can be used with it.

Definition at line 137 of file rsa.h.

The documentation for this struct was generated from the following file:

- rsa.h